# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-alienwah
Summary:		Alienwah LADSPA plugin
Version:		1.13
Release:		1.pm.3.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			alienwah-%{version}.tar.bz2
Patch:			ladspa-alienwah-compile-fix.diff
Patch1:			ladspa-alienwah.diff
Patch2:			ladspa-alienwah-gcc43.patch
URL:			http://plugin.org.uk/releases/alienwah/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
The package contains the alienwah LADSPA plugins.



%prep
%setup -q -n alienwah-%{version}
%patch
%patch1
%patch2 -p1

%build
%__make CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 1.13-0.pm.1
- splitt-off from ladspa package
